Name: gcvs
Version: 1.0
Release: alt3

Summary: gCvs is a GTK+ interface for CVS (Concurrent Version System)
License: GPL
Group: Development/Other
Url: http://cvsgui.sourceforge.net
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.xpm

# Automatically added by buildreq on Sun Mar 30 2003
BuildRequires: XFree86-devel XFree86-libs flex gcc-c++ glib-devel gtk+-devel libstdc++-devel libtcl tcl-devel

Requires: cvs-contrib

%description
The gcvs package contains an interface for cvs written in C++ using
gtk+. It contains a version of cvs modified for communication
purposes with gcvs. gcvs is part of a bigger project named CvsGui
which provides several graphical clients on Mac and Windows as well.

%prep
%setup -q

%build
./configure --prefix=%_prefix \
            --mandir=%_mandir \
            --infodir=%_infodir
%make_build

%install
%makeinstall
# prefix=%buildroot/usr install
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog NEWS README README.SUN TODO
%_bindir/%name
%_menudir/%name
%_datadir/pixmaps/%name.xpm
%_datadir/gcvs/*.tcl
%_datadir/gcvs/*.txt
%_datadir/gcvs/pixmaps/*.xpm
#%_libdir/cvs/*/*
#%_infodir/cvs*
#%_man1dir/cvs.1*
#%_man5dir/cvs.5*
#%_man8dir/cvsbug.8*
#%config /etc/gcvs/*

%changelog
* Tue Aug 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt3
- Bug fixed

* Fri Jun 27 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt2
- Cleanup spec, add requires on cvs-contrib package.

* Sun Mar 30 2003 Andrey Semenov <mitrofan@altlinux.ru> 1.0-alt1
- First version of RPM package.
